Spellbound

Site officiel
Copie d'écran
Bookmark and Share

SpellBound est une extension pour Firefox qui permet de corriger l’orthographe de n’importe quel texte tapé dans un formulaire. Il s’agit simplement d’un module dérivé du correcteur orthographique utilisé par le Composer de la suite Mozilla ou par le client mail Thunderbird.

Suivez les instructions du paragraphe installation pour télécharger Spellbound et le pack de traduction française de l’interface. Ensuite, rendez-vous sur le site des dictionnaires pour Mozilla et choisissez les langues que vous souhaitez installer.

Une fois tout ces paquetages enregistrés, et après avoir redémarré Firefox, vous verrez apparaître une nouvelle fonctionnalité dans le menu contextuel (clic droit) de n’importe quel champ de formulaire sur le web pour corriger l’orthographe du texte.

Faites donc un test avec le formulaire permettant de laisser un message sur les notices de Framasoft.

Tags:
Ajouter des tags (séparés par des virgules ou des espaces) :
 
Attention: tous les caractères spéciaux sont interdits (sauf le .). Les tags n'apparaîtront qu'au prochain rafraichissement du cache (dans plusieurs heures).

<< Mettre à jour >>
:: lien mort :: orthographe :: nouveauté :: mise à jour ::

Vous souhaitez mettre à jour la notice ? La première chose à faire est de déterminer s'il s'agit d'une mise à jour mineure ou d'une mise à jour majeure Icone d'aide.

  • Mineure : un lien mort, des fautes d'orthographe, un lien à ajouter ou encore une petite précision.

    Veuillez renseigner les champs ci dessous :

  • Majeure : une nouvelle version avec des nouveautés, des changements majeurs.

    En cochant cette case, vous allez créer une page sur le wiki afin de mettre à jour la notice.

Commentaires

<< Poster un message >>
:: question :: précision :: avis :: commentaire :: bug ::

Spellbound n’est plus develloper ? , le 11 février 2006 (3 rép.)

cette extention fort pratique ne semble plus dévelloper, quelqu’un peut m’informer d’avantage ?

Spellbound n’est plus develloper ? , le 11 février 2006 par isatis39871

Je ne connait pas les tenants et es aboutissants mais FF va intégrer un correcteur dans sa version 2.0. Ceci explique peut-etre cela...

Spellbound n’est plus develloper ? , le 13 février 2006

ok merci de ta reponse mais bon la 2 c’est pas pour tout de suite...

Spellbound n’est plus develloper ? , le 9 mai 2006 par PhiLho

Développé... En effet, il vous manque ! :-)

Sérieusement, cette extension est en effet listée comme non compatible par les dernières mise à jour de sécurité de Firefox, et personne ne semble maintenir le site pour fournir une version à jour.

Heureusement, il y a une solution, elle n’est pas hyper simple, mais pas trop complexe non plus (pas de bidouillage de code !). En fait, j’ai appliqué un truc que j’ai vu dans Bugzilla pour l’extension LinkToolbar (chaudement recommandée, soit dit en passant !).

J’ai ouvert les fichiers spellbound_0.7.3_1501.xpi et spellbound_lib_win32_1.0+_20050727.xpi avec 7-Zip. Ce sont en fait des fichiers .zip renommés, donc si votre gestionnaire d’archive favori refuse de les ouvrir, il suffit de les renommer, les éditer et restaurer leur extension après.

L’intérêt de 7-Zip est qu’on peut lui dire d’éditer le fichier directement dans l’archive, il lance l’éditeur configuré sur le fichier dézippé dans un répertoire temporaire et détecte quand il est fermé. Il demande alors si on veut mettre à jour le fichier. Illico presto !

Bref, il faut, dans les deux fichiers, modifier le fichier install.rdf, un fichier XML décrivant comment installer les extensions. Repérer la ligne 1.0+ et la remplacer par 1.5.*.

Et voilà ! Réinstallez les extensions (pas besoin de les désinstaller), redémarrez FF, les dictionnaires déjà installés sont revalidés...

Youpi ! :-D

Répondre à ce message

SpellBound version 0.7.1 compatible FireFox 1.0 , le 4 décembre 2004 par SuperPat (0 rép.)

La nouvelle version 0.7.1 de spellbound est disponible et enfin compatible avec firefox 1.0 !!!

Au passage le site à changé d’adresse, il est passés sur sourceforge :

-----> http://spellbound.sourceforge.net/

Répondre à ce message

Spellbound et Firefox 1.0 , le 19 novembre 2004 par SuperPat (1 rép.)

Bonjour,

apparament, c’ette extention, qui m’est indispenssable, ne fonctionne plus avec firefox 1.0, il accèpte de s’installer, mais le bouton "correcteur" reste déséspérément désactivé.

Savez-vous si il sera mis à jour prochainnement ?

> Spellbound et Firefox 1.0 , le 20 novembre 2004 par Spider

Même chose pour moi, c’est un outil très pratique ! Compatibilité Firefox 1 obligatoire !!!! SVP Merci Salut :-)

Répondre à ce message

Informations complémentaires

Faire un don ? (défiscalisé)

Faire un DON

Aidez-nous à atteindre notre objectif de 800 donateurs récurrents pour assurer notre pérennité et notre développement ! (nous n’y sommes plus très loin).

Je soutiens Framasoft pour 10€/mois

Framasoft needs you !

 Vous trouverez ici une liste de logiciels qui ont fait acte de candidature et qui n’attendent que vous pour réussir avec brio l’examen d’entrée dans notre annuaire.

Informations générales

Juste une image

Sleepy Sleepy
Creative Commons BY-SA

Sur Framabook.org

Atelier Drupal 7
« Atelier Drupal 7 » par Cyprien ROUDET.
Option Libre
« Option Libre. Du bon usage des licences libres » par Benjamin Jean.

Tous nos Framabooks